EDIT - bug #7233

LIE during processing of webservice request to /portal/taxon/{uuid}/taxonNodes
02/01/2018 03:53 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description

The call http://api.cybertaxonomy.org/flora-malesiana/portal/taxon/02db28ed-58ee-4c42-af0e-b8e05e69eelb/taxonNodes
causes the below exception, but returns a response nevertheless.

[flora-malesiana] 2018-02-01 15:04:52,586 INFO [eu.etaxonomy.cdm.remote.controller.TaxonPortalCont
roller] - doGetTaxonNodesGET: /flora-malesiana/portal/taxon/02db28ed-58ee-4c42-afle-b8e05e69eelb/t
axonNodes
[flora-malesiana] 2018-02-01 15:04:52,595 ERROR [eu.etaxonomy.cdm.remote. json.processor.bean.Abstr
actBeanProcessor] -
java.lang.reflect.InvocationTargetException
at sun.reflect.GeneratedMethodAccessor4531.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.apache.commons.beanutils.PropertyUtilsBean.invokeMethod (PropertyUtilsBean.java:2116

at org.apache.commons.beanutils.PropertyUtilsBean.getSimpleProperty (PropertyUtilsBean. java
:1267)

at org.apache.commons.beanutils.PropertyUtilsBean.getNestedProperty (PropertyUtilsBean. java
:808)

at org.apache.commons.beanutils.PropertyUtilsBean.getProperty (PropertyUtilsBean. java:884)

at org.apache.commons.beanutils.PropertyUtils.getProperty (PropertyUtils. java:464)

at eu.etaxonomy.cdm.remote.json.processor.bean.AbstractBeanProcessor.processBean (AbstractB
eanProcessor. java:132)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at eu.etaxonomy.cdm.remote.json.processor.bean.HibernateProxyBeanProcessor.processBean (Hib
ernateProxyBeanProcessor. java:28)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at net.sf.json.AbstractJSON._processValue (AbstractJSON. java:274)

at net.sf.json.JSONObject._processValue (JSONObject. java:2655)

at net.sf.json.JSONObject.processValue (JSONObject. java:2721)

at net.sf.json.JSONObject.element (JSONObject.java:1786)

at eu.etaxonomy.cdm.remote.json.processor.bean.AbstractBeanProcessor.processBean (AbstractB
eanProcessor.java:149)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at net.sf.Jjson.AbstractJSON._processValue (AbstractJSON. java:274)

at net.sf.json.JSONObject._processValue (JSONObject. java:2655)

at net.sf.json.JSONObject.processValue (JSONObject. java:2721)

at net.sf.json.JSONObject.setInternal (JSONObject.java:2736)

at net.sf.json.JSONObject.setValue (JSONObject.java:1424)

at net.sf.json.JSONObject.defaultBeanProcessing (JSONObject. java:765)

at net.sf.json.JSONObject._fromBean (JSONObject.java:699)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at net.sf.json.AbstractJSON._processValue (AbstractJSON. java:274)

at net.sf.Jjson.JSONArray._processValue (JSONArray.java:2513)

at net.sf.json.JSONArray.processValue (JSONArray. java:2538)

at net.sf.Jjson.JSONArray.addValue (JSONArray.java:2525)

at net.sf.json.JSONArray._fromCollection (JSONArray.java:1056)

at net.sf.json.JSONArray.fromObject (JSONArray.java:123)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:120)
at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:188)

at org.springframework.web.servlet.DispatcherServlet.render (DispatcherServlet. java:1243)

at org.springframework.web.servlet.DispatcherServlet.processDispatchResult (DispatcherServl
et.java:1027)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet. java:971

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:9
69)

at org.springframework.web.servlet.FrameworkServlet.doGet (FrameworkServlet. java:860)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:687)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (Filt
erSecuritylInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Fi
lterSecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTr
anslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManage
mentFilter. java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (
AnonymousAuthenticationFilter.java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doF
ilter (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestC
acheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterI
nternal (BasicAuthenticationFilter.java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.oauth2.provider.authentication.OAuth2AuthenticationProcess
ingFilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilt
er.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWrite
rFilter. java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Secu
rityContextPersistenceFilter.java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)
at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter
.doFilterInternal (WebAsyncManagerIntegrationFilter.java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. jav
a:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterPro
xy.Jjava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. jav
a:262)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodi
ngFilter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollecti
on.java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

Caused by: org.hibernate.LazyInitializationException: could not initialize proxy - no Session
at org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.java:148

at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractlLazyInitializer.j
ava:266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitial
izer.java:68)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_Jjvst8f7_61.getNomenclaturalTitle (TeamO
rPersonBase_$$_jvst8f7_61.java)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorAndExAuthor
(TaxonNameDefaultCacheStrategy. java:260)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getNonCacheAuthorshi
pCache (TaxonNameDefaultCacheStrategy.java:202)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorshipCache (T
axonNameDefaultCacheStrategy.java:176)

at eu.etaxonomy.cdm.model.name.TaxonName.generateAuthorship (TaxonName. java:1545)

at eu.etaxonomy.cdm.model.name.TaxonName.getAuthorshipCache (TaxonName. java:1478)

at eu.etaxonomy.cdm.model.name.TaxonName.updateAuthorshipCache (TaxonName. java:1495)

at eu.etaxonomy.cdm.model.name.TaxonName.getTitleCache (TaxonName. java:1447)

103 more

~~t

Related issues:
Related to EDIT - feature request #9664: Add nomenclaturalTitleCache to TeamO... Resolved

History

#1 - 02/01/2018 03:56 PM - Andreas Kohlbecker

- Description updated
#2 - 02/01/2018 03:56 PM - Andreas Kohlbecker

- Description updated

#3 - 07/02/2021 06:15 PM - Andreas Miiller
- Status changed from New to Feedback
- Priority changed from New to Highest

- Target version changed from cdmlib - Old Next Major Release to Release 5.25

Can you please check if this is still an open issue after the nomenclaturalTitle implementation has been changed now (#9664)

#4 - 07/02/2021 06:15 PM - Andreas Miiller

- Related to feature request #9664: Add nomenclaturalTitleCache to TeamOrPersonBase added

#5 - 07/15/2021 09:00 AM - Andreas Kohlbecker
- Status changed from Feedback to Worksforme

- Target version deleted (Release 5.25)

seems to be fixed, as this LIE is no longer reproducible with the latest code-base and a dump from the production system.
